// AjudFDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ajuda.h"
#include "AjudFDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAjudFDlg dialog


CAjudFDlg::CAjudFDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAjudFDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAjudFDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CAjudFDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAjudFDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAjudFDlg, CDialog)
	//{{AFX_MSG_MAP(CAjudFDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAjudFDlg message handlers

BOOL CAjudFDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	   // tenta carregar bitmaps
	if ( ! m_oBmp.LoadBitmaps ( _T ( "BMP_FUNDO" ), NULL, NULL ) ) {

		TRACE0 ( "Impossível ler bitmaps.\n ");
		AfxThrowResourceException ();
	}
	
	// define qual controle da caixa de dialogo vai ter qual bitmap
	VERIFY ( m_oBmp.SubclassDlgItem ( IDC_AJUDA_FUNDO, this ) );

	// muda tamanho dos controles para caber os bitmaps
	m_oBmp.SizeToContent ();

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
